> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sequencehq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get customer payment settings

> Get payment settings for customers. Invoices for customers with payment settings contain payment links. If payment details are on file with Stripe or other payment providers, then payments are automatically collected when you finalise and send an invoice. You can override customer payment settings with billing schedule payment settings and invoice payment settings.



## OpenAPI

````yaml collections.latest.product.live GET /payments/settings/customers/{id}
openapi: 3.0.0
info:
  title: Collections
  description: Manage Payment Collection Settings
  version: '0.1'
servers:
  - url: https://dev.seqhq.io/api
    description: DEV
  - url: https://sandbox.sequencehq.com/api
    description: SANDBOX
  - url: https://eu.sequencehq.com/api
    description: PRODUCTION
security: []
tags: []
paths:
  /payments/settings/customers/{id}:
    servers: []
    parameters: []
    get:
      tags:
        - Customers
      summary: Get customer payment settings
      description: >-
        Get payment settings for customers. Invoices for customers with payment
        settings contain payment links. If payment details are on file with
        Stripe or other payment providers, then payments are automatically
        collected when you finalise and send an invoice. You can override
        customer payment settings with billing schedule payment settings and
        invoice payment settings.
      operationId: getPaymentsSettingsCustomersById
      parameters:
        - name: id
          in: path
          description: Unique settings ID
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: >-
            Your [API credentials](/reference/authentication). Eg. `Basic
            {credentials}`.
          required: true
          schema:
            type: string
        - name: Sequence-Version
          in: header
          description: Use this header to select an API version
          required: false
          schema:
            type: string
            enum:
              - '2024-07-30'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetCustomerSettingsEndpointProductGetCustomerSettingsResponseModel
                example:
                  id: bc61d4b8-e9d6-4f4a-9bcf-f5dae874c730
                  sequenceAccountId: bc61d4b8-e9d6-4f4a-9bcf-f5dae874c730
                  customerId: bc61d4b8-e9d6-4f4a-9bcf-f5dae874c730
                  paymentProvider: STRIPE
              examples:
                GetCustomerSettingsEndpointProductGetCustomerSettingsResponseModel:
                  summary: ''
                  value:
                    id: bc61d4b8-e9d6-4f4a-9bcf-f5dae874c730
                    sequenceAccountId: bc61d4b8-e9d6-4f4a-9bcf-f5dae874c730
                    customerId: bc61d4b8-e9d6-4f4a-9bcf-f5dae874c730
                    paymentProvider: STRIPE
        '400':
          description: Bad Request
          content: {}
        '401':
          description: Unauthorized
          content: {}
        '500':
          description: Internal Server Error
          content: {}
components:
  schemas:
    GetCustomerSettingsEndpointProductGetCustomerSettingsResponseModel:
      required:
        - customerId
        - id
        - paymentProvider
        - sequenceAccountId
      type: object
      example:
        id: bc61d4b8-e9d6-4f4a-9bcf-f5dae874c730
        sequenceAccountId: bc61d4b8-e9d6-4f4a-9bcf-f5dae874c730
        customerId: bc61d4b8-e9d6-4f4a-9bcf-f5dae874c730
        paymentProvider: STRIPE
      properties:
        id:
          type: string
          description: Unique payment provider id.
          example: bc61d4b8-e9d6-4f4a-9bcf-f5dae874c730
        sequenceAccountId:
          type: string
          description: Sequence Account ID.
          example: bc61d4b8-e9d6-4f4a-9bcf-f5dae874c730
        customerId:
          type: string
          description: Customer Account ID.
          example: bc61d4b8-e9d6-4f4a-9bcf-f5dae874c730
        paymentProvider:
          $ref: '#/components/schemas/PaymentProvider'
          description: Sequence Account ID.
    PaymentProvider:
      type: string
      example: STRIPE
      enum:
        - STRIPE
        - GOCARDLESS
        - NONE

````